﻿@model ASP.NET_MVC5_WebShopExample.Models.ViewModels.SpecificationIndexViewModel
@using ASP.NET_MVC5_WebShopExample.Constants;
@{
    ViewBag.Title = "Index";
    var Product = Model.Product;
    var s = new ASP.NET_MVC5_WebShopExample.Models.Specification();
}

<h2>Specification list of  @Html.ActionLink(Product.Name, "Edit", "Products", routeValues: new { id = Product.ProductId }, htmlAttributes: null) </h2>

<p>
    @Html.RouteLink("Create New", RouteNames.Specifications, routeValues: new { action = "Create", productId = Product.ProductId })
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => s.SpecificationType.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => s.Value)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model.Specifications) {
    <tr>
        <td>
            @Html.DisplayFor(model => item.SpecificationType.Name)
        </td>
        <td>
            @Html.DisplayFor(model => item.Value) @Html.DisplayFor(model => item.SpecificationType.Unit)
        </td>
        <td>
            @Html.RouteLink("Edit", RouteNames.Specifications, routeValues: new { action = "Edit", productId = Product.ProductId, id = item.SpecificationId})
            @Html.RouteLink("Details", RouteNames.Specifications, routeValues: new { action = "Details", productId = Product.ProductId, id = item.SpecificationId})
            @Html.RouteLink("Delete", RouteNames.Specifications, routeValues: new { action = "Delete", productId = Product.ProductId, id = item.SpecificationId})
        </td>
    </tr>
}

</table>
